/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.work.impl;

import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.work.WorkRequest;
import androidx.work.impl.model.WorkSpec;

import java.util.Set;
import java.util.UUID;

/**
 * A {@link WorkRequest} holder that has all the information a {@link WorkRequest} has.
 *
 */
@RestrictTo(RestrictTo.Scope.LIBRARY_GROUP)
public class WorkRequestHolder extends WorkRequest {
    public WorkRequestHolder(
            @NonNull UUID id,
            @NonNull WorkSpec workSpec,
            @NonNull Set<String> tags) {
        super(id, workSpec, tags);
    }
}
